| Version: 3.2.5

Public Member Functions | List of all members
wxHtmlBookRecord Class Reference

`#include <wx/html/helpdata.h>`

## Detailed Description

Helper class for wxHtmlHelpData.

## Public Member Functions

| wxHtmlBookRecord (const wxString &bookfile, const wxString &basepath, const wxString &title, const wxString &start)
wxString | GetBookFile () const
wxString | GetTitle () const
wxString | GetStart () const
wxString | GetBasePath () const
void | SetContentsRange (int start, int end)
int | GetContentsStart () const
int | GetContentsEnd () const
void | SetTitle (const wxString &title)
void | SetBasePath (const wxString &path)
void | SetStart (const wxString &start)
wxString | GetFullPath (const wxString &page) const

## Constructor & Destructor Documentation

## ◆ wxHtmlBookRecord()

wxHtmlBookRecord::wxHtmlBookRecord | ( | const wxString & | bookfile,
|  | const wxString & | basepath,
|  | const wxString & | title,
|  | const wxString & | start
| ) |  |

## Member Function Documentation

## ◆ GetBasePath()

wxString wxHtmlBookRecord::GetBasePath | ( |  | ) | const

## ◆ GetBookFile()

wxString wxHtmlBookRecord::GetBookFile | ( |  | ) | const

## ◆ GetContentsEnd()

int wxHtmlBookRecord::GetContentsEnd | ( |  | ) | const

## ◆ GetContentsStart()

int wxHtmlBookRecord::GetContentsStart | ( |  | ) | const

## ◆ GetFullPath()

wxString wxHtmlBookRecord::GetFullPath | ( | const wxString & | page | ) | const

## ◆ GetStart()

wxString wxHtmlBookRecord::GetStart | ( |  | ) | const

## ◆ GetTitle()

wxString wxHtmlBookRecord::GetTitle | ( |  | ) | const

## ◆ SetBasePath()

void wxHtmlBookRecord::SetBasePath | ( | const wxString & | path | ) |

## ◆ SetContentsRange()

void wxHtmlBookRecord::SetContentsRange | ( | int | start,
|  | int | end
| ) |  |

## ◆ SetStart()

void wxHtmlBookRecord::SetStart | ( | const wxString & | start | ) |

## ◆ SetTitle()

void wxHtmlBookRecord::SetTitle | ( | const wxString & | title | ) |